Subject: Re: bug#71554: 29.3; eshell-command async buffer behavior

From: Thierry Volpiatto <[email-masked]>
Date: Fri, 05 Jul 2024 12:21:03 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Thierry Volpiatto <[email-masked]>
>> Cc: Thierry Volpiatto <[email-masked]>,  [email-masked],
>>   [email-masked],  [email-masked]
>> Date: Fri, 05 Jul 2024 06:24:23 +0000
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> >> > Why do we have to make this change in Emacs 30?  AFAIU, it isn't a
>> >> > bug, just inconsistency between shell-mode and Eshell, and we have
>> >> > lived with it for quite some time.  Right?
>> >> 
>> >> We have lived with this because the eshell-command async behavior was
>> >> broken from 2005 to 2021. Now it is repaired the need of beeing able to
>> >> run several processes raise.
>> >> 
>> >> > I'd like to have as short a pretest for Emacs 30.1 as possible, and
>> >> > that means no changes we don't absolutely have to make.  Please
>> >> > consider the necessity of this change from that POV.
>> >> 
>> >> Now we have a emacs-31 branch, perhaps this can be installed there?
>> >
>> > There's no emacs-31, only emacs-30 and master.  The master branch will
>> > eventually become Emacs 31, so if you mean to install there, I'm okay
>> > with that, of course.
>> 
>> Yes, I meant install in master, sorry.
>
> That's fine by me, thanks.

Good, Jim, do you want me to modify the patch or you modify the default yourself?

-- 
Thierry